Skip to main content
GET
/
v1
/
usage
/
machines
/
compute
List machine compute usage breakdown
curl --request GET \
  --url https://dcs.dedaluslabs.ai/v1/usage/machines/compute \
  --header 'x-api-key: <api-key>'
{ "granularity": "<string>", "period_end": "2023-11-07T05:31:56Z", "period_start": "2023-11-07T05:31:56Z", "rows": [ { "awake_seconds": 123, "bucket_end": "2023-11-07T05:31:56Z", "bucket_start": "2023-11-07T05:31:56Z", "cpu_millicore_seconds": 123, "last_window_end": "2023-11-07T05:31:56Z", "machine_id": "<string>", "memory_mib_seconds": 123, "org_metering_bucket_ids": [ "<string>" ], "requested_memory_mib": 123, "requested_storage_gib": 123, "requested_vcpu": 123, "spec_fingerprint": "<string>", "stripe_cpu_identifiers": [ "<string>" ], "stripe_memory_identifiers": [ "<string>" ], "window_count": 123, "latest_stripe_emitted_at": "2023-11-07T05:31:56Z" } ] }

Documentation Index

Fetch the complete documentation index at: https://docs.dedaluslabs.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Dedalus API key. Alternative to Bearer token.

Query Parameters

period_start
string

Usage period start (YYYY-MM-DD). Defaults to first of current month.

period_end
string

Last UTC usage date to include (YYYY-MM-DD). Defaults to current time.

machine_id
string

Optional machine ID filter.

granularity
string

Usage breakdown granularity: hour or day. Defaults to hour.

Response

OK

granularity
string
required

Usage breakdown granularity used for rows: hour or day.

period_end
string<date-time>
required

Exclusive usage period end.

period_start
string<date-time>
required

Inclusive usage period start.

rows
object[] | null
required

Machine-level compute usage breakdown rows.

Last modified on May 29, 2026